Archives a thread
curl --request DELETE \
--url https://api.hubapi.com/conversations/conversations/2026-09-beta/threads/{threadId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/conversations/conversations/2026-09-beta/threads/{threadId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/conversations/conversations/2026-09-beta/threads/{threadId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Threads
Delete thread
Delete a specific conversation thread in your HubSpot account. This operation will permanently remove the thread identified by the threadId from the system. It is useful for managing and cleaning up conversation data.
DELETE
/
conversations
/
conversations
/
2026-09-beta
/
threads
/
{threadId}
Archives a thread
Last modified on March 31, 2026
Was this page helpful?
⌘I